package pxds.etmo

import android.graphics.Color
import android.webkit.WebView
import android.webkit.WebViewClient
import androidx.core.view.updatePadding
import com.blankj.utilcode.util.BarUtils
import com.test.basd.supercleanermax.R
import com.test.basd.supercleanermax.databinding.GishmcBinding
import pxds.lmmd.zmwf.Bpfw
import pxds.lmmd.zmwf.Khko.setTrackedOnClickListener
import pxds.lmmd.zmwf.Khko.string

class Jqxe : Bpfw<GishmcBinding>() {

    override val binding: GishmcBinding by lazy {
        GishmcBinding.inflate(layoutInflater)
    }

    override fun initView() {
        BarUtils.setStatusBarLightMode(this, true)
        BarUtils.setStatusBarColor(this, Color.TRANSPARENT)
        binding.root.updatePadding(top = BarUtils.getStatusBarHeight())
        binding.hreoxjp.settings.setJavaScriptEnabled(true)

        binding.hreoxjp.webViewClient = object : WebViewClient() {
            override fun shouldOverrideUrlLoading(view: WebView?, url: String?): Boolean {
                view?.loadUrl(url!!)
                return true
            }
        }
        binding.hreoxjp.loadUrl(R.string.ޔޏޢޠޕ_D.string())
        binding.hirpzcs.setTrackedOnClickListener {
            finishToMain()
        }
    }
}